// Make footer fixed to bottom
body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

#wrapper {
  flex-grow: 1;
}

// = Regions
.region {
  &.region-between-menus {
    display: inline-block;
    width: 100%;

    @media @tablet {
      width: auto;
    }
  }
}

// Mimic bootstrap .row
.region-content-first,
.region-content-last,
.main-content {
  .make-row();
}

// Add top margin to specific regions
.region-content:not(:first-child),
.main,
.region-sidebar-first,
.region-help,
.region-content-first,
.region-content-third,
.region-page-last {
  margin-top: @gap;
}

// Double top margin for wrapper of footer
.footer-wrapper {
  margin-top: 2 * @padding-large-horizontal; // @todo Replace with proper variable
}

// Section of main content
section.main {
  padding-left: @padding-large-horizontal; // @todo Replace with proper variable

  @media @very-smalld {
    .sidebar-first & {
      padding-left: 2 * @padding-large-horizontal; // @todo Replace with proper variable
      padding-right: 0;
    }
  }
}

// Left sidebar
aside.first {
  margin-top: @padding-large-horizontal; // @todo Replace with proper variable

  @media @very-smalld {
    margin-top: 0;
    padding-left: 0;
  }

  // Воркараунд временно отключен для вывода рекламы
  // @media @phone-only {
  //   // Костыль для https://gitlab.com/drupal.ru/7/issues/1294
  //   display: none;
  // }
}
